(?) The Answer Gang (!)
By Jim Dennis, Ben Okopnik, Dan Wilder, Breen, Chris, and... (meet the Gang) ... the Editors of Linux Gazette... and You!

We have guidelines for asking and answering questions. Linux questions only, please.
We make no guarantees about answers, but you can be anonymous on request.
See also: The Answer Gang's Knowledge Base and the LG Search Engine

(?) Updating Libc and Gcc Support on Older Distros?

From Steve

Answered By: Thomas Adam, Ben Okopnik

I have an old Pentium I (166Mhz) that runs SuSE 7.0 beautifully. I will run SuSE 9.0, but it is ponderously slow, so I went back to 7.0.

I have wanted to update my browser (among other things), but find that support is needed for the above captioned pieces from later releases. I have asked the question on various boards and chat lines but have not gotten any definitive answers. The most complete answer I received was "don't". It seems that updating library and compiler support are risky, but it seems to me that is has to be possible.

Is there any advice or specific information you can give me about this? My old copy of Netscape 4.76 is really out of date and crashes on a lot of modern sites.

Thanks in advance for your help.

(!) [Thomas] My answer also is "don't". Attempting to upgrade libc and gcc without doing the rest of the distribution is fatal. Everything you run depends on those set of core libraries whether implicitly or not.
Remember that if you did upgrade libc then all your programs wouldn't work since the version that they were compiled against is now at an older version than the one you have installed.
In short, do a full update of SuSE.
(!) [Ben] My take on it is a bit milder than that - I've done libc, etc. upgrades and survived them just fine, although I have to give most of the credit to Debian's dependency-resolution mechanism. It's not "fatal" as such because the calls supported by libc aren't going to change - there may be new ones added, but the old ones aren't generally going to go away without a whole lot of lead time. If you do the upgrade correctly, everything will continue to work fine; if that wasn't the case, old Linux software wouldn't work at all - and I've run some quite ancient binaries that worked happily and without a glitch.
However, I do agree with Thomas that it's a pretty big undertaking and many things can break, explode, and fly off the handle if you do it wrong; doing a full distro upgrade (after, of course, backing up your data for safety's sake) is really the best way to go.

This page edited and maintained by the Editors of Linux Gazette
Copyright © its authors, 2004
Published in issue 100 of Linux Gazette March 2004
HTML script maintained by Heather Stern of Starshine Technical Services, http://www.starshine.org/

[ Table Of Contents ][ Answer Guy Current Index ] greetings   Meet the Gang   1   2   3   4   5   6   7 [ Index of Past Answers ]